/**
 * Copyright (c) 2017 Lucky Byte, Inc.
 */
const debug = require('debug')('db');

/**
 * 交易流水说明
 *
 * 一条交易流水必须包括下面的必须字段:
 *    amount: 交易金额，以分为单位
 *    pay_type: 支付方式
 *    tunnel: 交易通道
 *    source: 交易方式
 *    merch: 平台商户 UUID
 *
 * 下列字段是可选的:
 *    trcode: 交易类型, 默认为 1
 *    order_id: 平台内订单号，默认为自动生成
 *    out_order_id: 外部内订单号，默认为 null
 *    status: 交易状态，默认为 2
 *    req_pkt: 请求报文，JSON，默认为 null
 *    res_pkt: 响应报文，JSON，默认为 null
 *    bnt_pkt: 后台通知报文，JSON，默认为 null
 *    fnt_pkt: 前台通知报文，JSON，默认为 null
 *    clerk: 业务员，默认为 null
 *    device: 设备编号，默认为 null
 *    payer: 付款方信息，JSON，默认为 null
 *    product: 商品信息，JSON，默认为 null
 *    invoice: 发票信息，JSON，默认为 null
 *    location: 交易地址，JSON，默认为 null
 *    mark: 特殊标记，默认为 null
 *    notes: 备注，默认为 null
 */
const all_keys = [
    'amount', 'pay_type', 'tunnel', 'source', 'merch',
    'trcode', 'order_id', 'out_order_id', 'status',
    'req_pkt', 'res_pkt', 'bnt_pkt', 'fnt_pkt',
    'req_pkt_i', 'res_pkt_i', 'bnt_pkt_i', 'fnt_pkt_i',
    'clerk', 'device', 'payer', 'product', 'invoice', 'location',
    'mark', 'notes'
]

const required_keys = [
    'amount', 'pay_type', 'tunnel', 'source', 'merch'
]

module.exports = {
    all_keys: all_keys,
    required_keys: required_keys,
}
